#!/bin/bash

SCRIPT_DIR=$(cd -- "$(dirname -- "${BASH_SOURCE[0]}")" &>/dev/null && pwd)

jq --null-input \
  --argjson activeWorkspace "$(hyprctl -j activeworkspace)" \
  --argjson workspaces "$(hyprctl -j workspaces)" \
  --argjson monitors "$(hyprctl -j monitors)" \
  --argjson clients "$(hyprctl -j clients)" \
  --argjson clientIcons "$(cat "$SCRIPT_DIR/clientIcons.json")" \
  --from-file "$SCRIPT_DIR/workspaces.jq"
